/*
 * WebotsNodeAdapter.h
 *
 *  Created on: 15 d�c. 2011
 *      Author: Alexandre Tuleu
 */

#ifndef LIBONCILLA_WEBOTS_WEBOTSNODEADAPTER_H_
#define LIBONCILLA_WEBOTS_WEBOTSNODEADAPTER_H_



class WebotsNodeAdapter {
public :
	WebotsNodeAdapter();
	virtual ~WebotsNodeAdapter();

	/**
	 * Pre Steps internal data, called before webots::Supervisor::step()
	 */
	virtual void PreStep(double ts) = 0;

	/**
	 *
	 */

	virtual void PostStep(double ts) = 0;


	/**
	 * Called on OncillaSynchronizer::start()
	 */
	virtual void Activate() = 0;
	/**
	 * Called on OncillaSynchronizer::stop()
	 */
	virtual void DeActivate() = 0;
};



#endif /* LIBONCILLA_WEBOTS_WEBOTSNODEADAPTER_H_ */
