/*
 * WebotsL0Adaptater.h
 *
 *  Created on: 15 d�c. 2011
 *      Author: Alexandre Tuleu
 */

#ifndef LIBONCILLA_WEBOTS_WEBOTSL0ADAPTER_H_
#define LIBONCILLA_WEBOTS_WEBOTSL0ADAPTER_H_

#include <liboncilla/OncillaL0.h>
#include <webots/Servo.hpp>

#include "WebotsNodeAdapter.h"



/**
 *
 */
class WebotsL0Adapter : public WebotsNodeAdapter {
public:

	WebotsL0Adapter(rci::oncilla::OncillaL0Ptr node, webots::Servo * servo);
	virtual ~WebotsL0Adapter();
	void PostStep(double ts);
	void PreStep(double ts);
	void Activate();
	void DeActivate();


private :
	rci::oncilla::OncillaL0Ptr    d_node;

	webots::Servo & d_servo;

};

#endif /* LIBONCILLA_WEBOTS_WEBOTSL0ADAPTER_H_ */
